{{
  ///////////////////////////////
  // INPUT DATA SAMPLE
  TDSet* dataset = new TDSet("TTree", "Tree");
  dataset->Add("/gpfs/csic_projects/cms/data/MiniTrees/CommonTrees3X_V02_091124/Trees_ZmumuJet_Pt15to20_HWW2MuPt2010Skim_MC31X_V3.root");

  ///////////////////////////////
  // PARAMETERS FOR MY ANALYSIS
  // ... edit below until but is fixed...
  gSystem->CompileMacro("InputParameters.C", "k");
  InputParameters *inputParameters = new InputParameters();
  inputParameters->SetString("selection"); 
  inputParameters->SetInt(13); 
  inputParameters->SetDouble(13.33);
  inputParameters->SetBool(0);
  inputParameters->SetNamedString("sel1", "cut1"); inputParameters->SetNamedString("sel2", "cut2");
  inputParameters->SetNamedInt("i1", 13); inputParameters->SetNamedInt("i2", 26); inputParameters->SetNamedInt("i3", 39);
  inputParameters->SetNamedBool("b1", 0);
  inputParameters->SetNamedDouble("d1", 13.33); inputParameters->SetNamedDouble("d2", 26.66);
  ///////////////////////////////

  /////////////////////////////////////////////////////////////////////////
  //
  // Nothing should probably be edited beyond this point,
  // unless you add some input parameters
  //
  TString selector = "MyAnalysis";

  // If ProofLite: 2 workers
  TProof *p = TProof::Open(" ");

  // Upload and enable packages
  cout << ">> Uploading and enabling packages ..." << endl;
  cout << "   + InputParameters"  << endl;
  p->UploadPackage("packages/InputParameters.par",TProof::kRemoveOld);
  p->EnablePackage("InputParameters", kTRUE);

  ///////////////////////////////
  // PARAMETERS FOR MY ANALYSIS
  // ... edit here until bug is fixed
  // Start adding input parameters
  //InputParameters *inputParameters = new InputParameters();
  //inputParameters->SetString("selection");
  //inputParameters->SetInt(1);
  //inputParameters->SetDouble(1.);
  //inputParameters->SetBool(0);
  //inputParameters->SetNamedString("sel1", "cut1"); inputParameters->SetNamedString("sel2", "cut2");
  //inputParameters->SetNamedInt("i1", 1); inputParameters->SetNamedInt("i2", 2); inputParameters->SetNamedInt("i3", 3);
  //inputParameters->SetNamedBool("b1", 0);
  //inputParameters->SetNamedDouble("d1", 1.); inputParameters->SetNamedDouble("d2", 2.);
  // End adding input parameters

  // Add the set of parameters to the input lists
  p->AddInput(inputParameters);
    
  // Processing...
  cout << ">> Processing " << selector << " ..." << endl;
  TString selectorcplus = selector;
  selectorcplus+= ".C+";
  p->Process(dataset,selectorcplus);  
}}
