Int_t SETUP()
{
  // Load library
  //cout << " >> Building dictionary InputParameters on master/worker ..." << endl;
  gROOT->ProcessLine(".L InputParameters.C+");
  
  // Enlarge include path (for InputParameters.h)
  TString pwdpath = "-I";
  pwdpath+=gSystem->pwd(); //path to local dir
  TString curpath = gSystem->GetIncludePath(); //current path

  //Some info
  if (gProofDebugLevel > 0) {
    TString infomess="Current PWD path is \"";
    infomess+=pwdpath;
    infomess+="\"";
    Info("SETUP.C",infomess.Data());
    infomess = "Current include path is \"";
    infomess+=curpath;
    infomess+="\"";
    Info("SETUP.C",infomess.Data());
    //
  }

  if (!curpath.Contains(pwdpath)) {
    gSystem->AddIncludePath(pwdpath);
    
    if (gProofDebugLevel > 0)
      cout << ">> Include path set to: \"" << gSystem->GetIncludePath() 
	   << "\"" << endl;
  }
  return 0;
}


